## dpkg-ruby 0.2.1

=== Makefile ===
#
# Makefile
#
SHELL = /bin/sh
RUBY = ruby
RM = rm
#### Start of system configuration section. ####
prefix = $(DESTDIR)/usr
bindir = $(prefix)/bin
libdir = $(prefix)/lib/ruby/$(shell ruby -rrbconfig -e 'puts Config::CONFIG["ruby_version"]')
mandir = $(DESTDIR)/usr/share/man
bins = $(wildcard bin/*)
libs = $(wildcard lib/*.rb)
libs_debian = $(wildcard lib/debian/*.rb)
man1 = $(wildcard man/*.1)

all:
clean:
	@-(cd t; rm -f test.log)
distclean:	clean
realclean:	distclean

install:
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(libdir)
	@for b in $(bins); do \
	 $(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0755, true)' \
		$$b $(bindir); \
	done
	@for rb in $(libs); do \
	 $(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)'\
		 $$rb $(libdir); \
	done
	@mkdir $(libdir)/debian/
	@for rb in $(libs_debian); do \
	 $(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)'\
		 $$rb $(libdir)/debian; \
	done
	@mkdir -p $(mandir)/man1
	@for m in $(man1); do \
	 $(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' \
		$$m $(mandir)/man1; \
	done

test:
	@(cd t; ruby testall.rb -o test.log)

=== debian/changelog ===
dpkg-ruby (0.2.1) unstable; urgency=low

  * fix for new ruby 1.6.6

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  6 Jan 2002 23:42:50 +0900

dpkg-ruby (0.2) unstable; urgency=low

  * (lib/debian.rb) 
      add Debian::Dep::Term#kind_of?
      add Debian::Deb#deps(relation_field)
  * (bin/dpkg-checkdeps.rb) add --check
  * (man/dpkg-checkdeps.rb.1) add --check

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 16 May 2001 02:41:46 +0900

dpkg-ruby (0.1.1) unstable; urgency=low

  * fix typo in examples

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  3 May 2001 00:11:16 +0900

dpkg-ruby (0.1) unstable; urgency=low

  * Initial Release. closes: Bug#94378

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 29 Apr 2001 01:59:19 +0900

dpkg-ruby (0.0.9.3) unstable; urgency=low

  * Release Candidate 2
  * (lib/debian.rb)
    Deb.unmet takes relation fields parameter
  * (bin/dpkg-checkdeps.rb)
    fix --from wildcard

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 28 Apr 2001 06:41:54 +0900

dpkg-ruby (0.0.9.2) unstable; urgency=low

  * (bin/dpkg-checkdeps.rb)
    support wildcard for --to and --from arguments

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 28 Apr 2001 04:33:33 +0900

dpkg-ruby (0.0.9.1) unstable; urgency=low

  * don't raise exception when E: duplicate package entry
  * (bin/dpkg-checkdeps.rb) 
   - performance tuning
   - change -a option for --arch
   - -A option for --all

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 28 Apr 2001 04:09:01 +0900

dpkg-ruby (0.0.9) unstable; urgency=low

  * Release Candidate 1
  * add dpkg-checkdeps.rb
  * separate debian/utils.rb (gunzip, tar, [pipeline])
  OK (130/130 tests  4563 asserts)
    
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 28 Apr 2001 01:29:11 +0900

dpkg-ruby (0.0.8.1) unstable; urgency=HIGH

  * missing install debian/ar.rb

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 27 Apr 2001 12:33:45 +0900

dpkg-ruby (0.0.8) unstable; urgency=low

  * add Debian::Ar
  * Debian::DpkgDeb.{pipeline,gunzip,tar}
  OK (132/132 tests  4564 asserts)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 27 Apr 2001 05:00:17 +0900

dpkg-ruby (0.0.7) unstable; urgency=low

  * Debian::DpkgDeb.load
  * Debian::Deb
    - filename
    - control,controlFile,controlData
    - data,dataFile,dataData
    - sys_tarfile
  OK (129/129 tests  4512 asserts)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 24 Apr 2001 02:30:06 +0900

dpkg-ruby (0.0.6) unstable; urgency=low

  * module Control -> Field
  * SELECTION_ID, EFLAG_ID, STATUS_ID -> Debian::Deb
  * fix dpkg.rb.1

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 23 Apr 2001 01:43:45 +0900

dpkg-ruby (0.0.5) unstable; urgency=low

  * (bin/{dpkg-ruby, dpkg.rb}): rescue GetoptLong::InvalidOption
  * add/cleanup APIs
   - Debian::Control.maintainer
   - Debian::Archives.load
   - Debian::Deb.*? - status, selection test
  * add dpkg.rb.1
  OK (117/117 tests  4472 asserts)
    
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 22 Apr 2001 04:18:35 +0900

dpkg-ruby (0.0.4.1) unstable; urgency=HIGH

  * fix broken /usr/bin/dpkg-ruby, /usr/bin/dpkg.rb

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 21 Apr 2001 02:32:38 +0900

dpkg-ruby (0.0.4) unstable; urgency=low

  * add several APIs
   - Debian::Dpkg.{status,selections,avail,listfiles,search}
   - Debian::Deb.files
   - Debian::Archives.packages
   - Debian::Status
  * deleyed parse
   - make test => OK (OK (98/98 tests  4436 asserts)
  * add /usr/bin/dpkg.rb

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 21 Apr 2001 01:51:38 +0900

dpkg-ruby (0.0.3) unstable; urgency=low

  * add test suites using rubyunit
   - make test => OK (87/87 tests  359 asserts)
  * fix several bugs found with rubyunit

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 20 Apr 2001 09:29:03 +0900

dpkg-ruby (0.0.2) unstable; urgency=low

  * (lib/debian.rb) 
   - fix typo in Dpkg.*architecture()
   - change Dpkg.info -> Dpkg.field
   - Debian::Control.parse -> parseFields
   - simplify Debian::Dep.to_s, suggested by akira yamada <akira@debian.org>
   - use NotImplementedError, suggested by akira yamada <akira@debian.org>
   - fix '<<', '>>'
  * fix dependency to ruby version

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 19 Apr 2001 22:35:22 +0900

dpkg-ruby (0.0.1) unstable; urgency=low

  * apply suggestions from akira yamada <akira@debian.org>
   - Exception -> StandardError to catch rescue without args
   - remove Dpkg. prefix in module Dpkg, use module_function
  * module Debian
   - all modules, classes are in Debian module, API change
  * add several method for Debian::Archives: +,-,&,<<,>>, ...
  * add bin/dpkg-ruby -- dpkg-awk clone
  * add man/dpkg-ruby.1
  * add Debian::Dpkg.*architecture module functions
  * update examples/*
  
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 19 Apr 2001 19:25:32 +0900

dpkg-ruby (0.0) unstable; urgency=low

  * Initial Release. closes: Bug#94378

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 19 Apr 2001 01:23:25 +0900

=== debian/control ===
Source: dpkg-ruby
Section: devel
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Build-Depends-Indep: debhelper (>> 3.0.0), ruby, ruby-dev
Standards-Version: 3.5.2

Package: dpkg-ruby
Architecture: all
Depends: ${ruby:Depends}
Description: ruby interface for dpkg
 Contains ruby modules/classes for dpkg, the Debian package management
 system.  It also provides dpkg-ruby( a dpkg-awk clone), dpkg.rb (a part 
 of dpkg/dpkg-deb clone) and dpkg-checkdeps.rb (check utility of deb 
 dependency problem)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/dpkg-ruby.sgml > dpkg-ruby.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-rm -f debian/examples
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# mkdir -p `pwd`/debian/dpkg-ruby/`ruby -r mkmf -e 'puts $$libdir'`
	# Add here commands to install the package into debian/dpkg-ruby.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dpkg-ruby
	ls -1d examples/* | grep -v CVS > debian/examples

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	ruby ./debian/dh_ruby dpkg-ruby
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dpkg-ruby 0.3.0

=== debian/changelog ===
dpkg-ruby (0.3.0) unstable; urgency=low

  * ruby1.8 transision
  * multi packaged: libdpkg-ruby1.8 and libdpkg-ruby1.6
  * lib/debian.rb: define Hash.values_at for ruby1.6
  		paren for args for ruby1.8
		use .class instead of .type for ruby1.8
		use Hash.values_at instead of Hash.indexes for ruby1.8
  * lib/debian/ar.rb: paren for args for ruby1.8
  * lib/debian/utils.rb: waitpid
  		redirect by using IO.reopen instead of assignment to $std*
		paren for args for ruby1.8
  * t: fix test program for both ruby1.6 and ruby1.8

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  8 Oct 2003 02:10:23 +0900

dpkg-ruby (0.2.4) unstable; urgency=low

  * Makefile: fix to use $(RUBY) instead of ruby
    closes: Bug#209156

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  8 Sep 2003 13:53:33 +0900

dpkg-ruby (0.2.3) unstable; urgency=low

  * depends on ruby1.6

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  8 Sep 2003 00:16:03 +0900

dpkg-ruby (0.2.2) unstable; urgency=low

  * s/ControlError/FieldError/ closes: Bug#165622

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 26 Oct 2002 03:15:06 +0900

=== debian/control ===
Source: dpkg-ruby
Section: devel
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Build-Depends-Indep: debhelper (>> 3.0.0), ruby1.8, ruby1.8-dev, ruby1.6, ruby1.6-dev
Standards-Version: 3.6.1

Package: dpkg-ruby
Architecture: all
Depends: ruby1.8, libdpkg-ruby1.8
Description: ruby interface for dpkg
 It provides dpkg-ruby(a dpkg-awk clone), dpkg.rb (a part of dpkg/dpkg-deb 
 clone) and dpkg-checkdeps.rb (check utility of deb dependency problem).

Package: libdpkg-ruby1.8
Architecture: all
Depends: libruby1.8
Description: modules/classes for dpkg on ruby 1.8
 It provides Debian::Dpkg and Debian::DpkgDeb modules and
 Debian::Deb, Debian::Dsc, Debian::Archives, Debian::Sources,
 Debian::Packages and Debian::Status classes on ruby 1.8.

Package: libdpkg-ruby1.6
Architecture: all
Depends: libruby1.6
Conflicts: dpkg-ruby (<< 0.3.0)
Replaces: dpkg-ruby (<< 0.3.0)
Description: modules/classes for dpkg on ruby 1.6
 It provides Debian::Dpkg and Debian::DpkgDeb modules and
 Debian::Deb, Debian::Dsc, Debian::Archives, Debian::Sources,
 Debian::Packages and Debian::Status classes on ruby 1.6.

## dpkg-ruby 0.3.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #### Start of system configuration section. ####
 prefix = $(DESTDIR)/usr
 bindir = $(prefix)/bin
-libdir = $(prefix)/lib/ruby/$(shell ruby -rrbconfig -e 'puts Config::CONFIG["ruby_version"]')
+libdir = $(prefix)/lib/ruby/$(shell $(RUBY) -rrbconfig -e 'puts Config::CONFIG["ruby_version"]')
 mandir = $(DESTDIR)/usr/share/man
 bins = $(wildcard bin/*)
 libs = $(wildcard lib/*.rb)
@@ -21,6 +21,7 @@
 realclean:	distclean
 
 install:
+	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(bindir)
 	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(libdir)
 	@for b in $(bins); do \
 	 $(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0755, true)' \
@@ -42,4 +43,4 @@
 	done
 
 test:
-	@(cd t; ruby testall.rb -o test.log)
+	@(cd t; $(RUBY) testall.rb -o test.log)

=== debian/changelog ===
dpkg-ruby (0.3.1) unstable; urgency=low

  * lib/debian.rb: preserve @info['Description']
  * fix description. closes: Bug#192815

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 11 Aug 2004 00:28:35 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: all
 Depends: ruby1.8, libdpkg-ruby1.8
 Description: ruby interface for dpkg
- It provides dpkg-ruby(a dpkg-awk clone), dpkg.rb (a part of dpkg/dpkg-deb 
+ It provides dpkg-ruby (a dpkg-awk clone), dpkg.rb (a part of dpkg/dpkg-deb 
  clone) and dpkg-checkdeps.rb (check utility of deb dependency problem).
 
 Package: libdpkg-ruby1.8

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 
 # This is the debhelper compatability version to use.
 export DH_COMPAT=3
+
+RUBY := /usr/bin/ruby1.8
 
 configure: configure-stamp
 configure-stamp:
@@ -18,7 +20,7 @@
 build-stamp:
 	dh_testdir
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) RUBY=$(RUBY)
 	#/usr/bin/docbook-to-man debian/dpkg-ruby.sgml > dpkg-ruby.1
 	touch build-stamp
 
@@ -27,7 +29,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	-$(MAKE) clean RUBY=$(RUBY)
 	-rm -f debian/examples
 	dh_clean
 
@@ -38,15 +40,15 @@
 	dh_installdirs
 	# mkdir -p `pwd`/debian/dpkg-ruby/`ruby -r mkmf -e 'puts $$libdir'`
 	# Add here commands to install the package into debian/dpkg-ruby.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/dpkg-ruby
-	ls -1d examples/* | grep -v CVS > debian/examples
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp RUBY=ruby1.6
+	-rm -f $(CURDIR)/debian/tmp/usr/bin
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp RUBY=$(RUBY)
+	sh ./debian/fixshbang.sh debian/tmp $(RUBY)
+	dh_install --sourcedir=$(CURDIR)/debian/tmp
+	ls -1d examples/* | grep -v CVS > debian/libdpkg-ruby1.8.examples
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf
@@ -69,12 +71,16 @@
 	dh_fixperms
 #	dh_makeshlibs
 	dh_installdeb
-	ruby ./debian/dh_ruby dpkg-ruby
+#	ruby ./debian/dh_ruby dpkg-ruby
 #	dh_perl
 #	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do for arch-dependent
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## dpkg-ruby 0.3.2

=== debian/changelog ===
dpkg-ruby (0.3.2) unstable; urgency=low

  * man/dpkg-checkdeps. fix typo 'packges'
   closes: Bug#351000
  * man/dpkg-ruby.1. fix typos
   closes: Bug#351001
  * man/dpkg.rb.1. fix typo. 
   closes: Bug#351002
  * rename programs without .rb suffixes
    dpkg.rb is shipped as an example only.
    closes: Bug#220934
  * stop building ruby1.6 module
    closes: Bug#366583
  * lib/debian.rb: pkgs_re_escape()
    fix package names with '+' characters cause errors
    closes: Bug#366202
  * lib/debian.rb: fix wrong instance variable usage
    debian.rb:712: warning: instance variable @file not initialized
    closes: Bug#272760
  
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 12 May 2006 02:40:56 +0900

=== debian/control ===
Source: dpkg-ruby
Section: devel
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Build-Depends: debhelper (>> 4.0.0)
Build-Depends-Indep: ruby1.8, ruby1.8-dev
Standards-Version: 3.7.2

Package: dpkg-ruby
Architecture: all
Depends: ruby1.8, libdpkg-ruby1.8
Description: ruby interface for dpkg
 It provides dpkg-ruby (a dpkg-awk clone) and dpkg-checkdeps
 (check utility of deb dependency problem).

Package: libdpkg-ruby1.8
Architecture: all
Depends: libruby1.8
Description: modules/classes for dpkg on ruby 1.8
 It provides Debian::Dpkg and Debian::DpkgDeb modules and
 Debian::Deb, Debian::Dsc, Debian::Archives, Debian::Sources,
 Debian::Packages and Debian::Status classes on ruby 1.8.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
 
 RUBY := /usr/bin/ruby1.8
 
@@ -40,12 +37,14 @@
 	dh_installdirs
 	# mkdir -p `pwd`/debian/dpkg-ruby/`ruby -r mkmf -e 'puts $$libdir'`
 	# Add here commands to install the package into debian/dpkg-ruby.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp RUBY=ruby1.6
-	-rm -f $(CURDIR)/debian/tmp/usr/bin
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp RUBY=$(RUBY)
 	sh ./debian/fixshbang.sh debian/tmp $(RUBY)
+	# dpkg.rb as example only
+	-rm -f $(CURDIR)/debian/tmp/usr/bin/dpkg.rb
+	-rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/dpkg.rb.1*
 	dh_install --sourcedir=$(CURDIR)/debian/tmp
 	ls -1d examples/* | grep -v CVS > debian/libdpkg-ruby1.8.examples
+	echo bin/dpkg.rb >> debian/libdpkg-ruby1.8.examples
 
 # Build architecture-independent files here.
 binary-indep: build install

## dpkg-ruby 0.3.5

=== debian/changelog ===
dpkg-ruby (0.3.5) unstable; urgency=low

  * fix some file leaks (Closes: #564117)

 -- Ryan Niebur <ryan@debian.org>  Sat, 09 Jan 2010 04:29:00 -0800

dpkg-ruby (0.3.4) unstable; urgency=low

  * add myself to d/copyright, thanks to Barry deFreese
  * move Build-Depends-Indep to Build-Depends (Closes: #563450)

 -- Ryan Niebur <ryan@debian.org>  Sun, 03 Jan 2010 12:12:44 -0800

dpkg-ruby (0.3.3) unstable; urgency=low

  * adopt package (Closes: #532927)
  * add Vcs-* fields
  * fix parsing .deb files, thanks to Junichi Uekawa (Closes: #390262)
  * stop using regexps for lists of packages, that doesn't work for
    large numbers (Closes: #552125)
  * rewrite compare_versions to use C bindings to apt-pkg instead of
    forking a dpkg process. this also makes the package arch:any.
    (closes: #390332, #432269)
  * fix README path and move it to libdpkg-ruby1.8 (Closes: 389273)
  * set Standards-Version to 3.8.3
  * clean up a bit, use dh7, etc
  * add a ruby1.9 package (Closes: #528471)
  * if running 'tar -t', filter stderr to remove 'Record size = foo
    blocks' lines

 -- Ryan Niebur <ryan@debian.org>  Fri, 01 Jan 2010 21:11:48 -0800

=== debian/control ===
Source: dpkg-ruby
Section: devel
Priority: optional
Maintainer: Ryan Niebur <ryan@debian.org>
Build-Depends: debhelper (>= 7.0.50~), ruby1.8, ruby1.8-dev, libapt-pkg-dev, ruby1.9, ruby1.9-dev, ruby
Vcs-Git: git://git.debian.org/apt-listbugs/dpkg-ruby.git
Vcs-Browser: http://git.debian.org/?p=apt-listbugs/dpkg-ruby.git;a=summary
Standards-Version: 3.8.3

Package: dpkg-ruby
Architecture: all
Depends: ruby1.8, libdpkg-ruby1.8, ${misc:Depends}
Description: ruby interface for dpkg
 It provides dpkg-ruby (a dpkg-awk clone) and dpkg-checkdeps
 (check utility of deb dependency problem).

Package: libdpkg-ruby
Section: ruby
Architecture: all
Depends: ${misc:Depends}, libdpkg-ruby1.8 (>= 0.3.3)
Description: metapackage for libdpkg-ruby
 It provides Debian::Dpkg and Debian::DpkgDeb modules and
 Debian::Deb, Debian::Dsc, Debian::Archives, Debian::Sources,
 Debian::Packages and Debian::Status classes on ruby 1.8.
 .
 This package depends on the version of libdpkg-ruby built for the
 default version of ruby.

Package: libdpkg-ruby1.8
Section: ruby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modules/classes for dpkg on ruby 1.8
 It provides Debian::Dpkg and Debian::DpkgDeb modules and
 Debian::Deb, Debian::Dsc, Debian::Archives, Debian::Sources,
 Debian::Packages and Debian::Status classes on ruby 1.8.

Package: libdpkg-ruby1.9
Section: ruby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modules/classes for dpkg on ruby 1.9
 It provides Debian::Dpkg and Debian::DpkgDeb modules and
 Debian::Deb, Debian::Dsc, Debian::Archives, Debian::Sources,
 Debian::Packages and Debian::Status classes on ruby 1.9.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

RUBY := /usr/bin/ruby1.8
EXAMPLES=debian/libdpkg-ruby1.8.examples

%:
	dh $@

VERSION_1.9=1.9
19VERSION=$(shell ruby$(VERSION_1.9) -rrbconfig -e 'puts Config::CONFIG["ruby_version"]')

override_dh_auto_build:
	# Add here commands to compile the package.
	$(MAKE) RUBY=$(RUBY)
	#/usr/bin/docbook-to-man debian/dpkg-ruby.sgml > dpkg-ruby.1
	mkdir -p ext/ruby1.9 ext/ruby1.8
	ruby$(VERSION_1.9) -C ext/ruby1.9 ../debian_version/extconf.rb
	ruby1.8 -C ext/ruby1.8 ../debian_version/extconf.rb
	make -C ext/ruby1.9
	make -C ext/ruby1.8

override_dh_auto_clean:
	$(MAKE) clean RUBY=$(RUBY)
	rm -f $(EXAMPLES)
	for i in install docs examples; do rm -f debian/libdpkg-ruby1.9.$$i; done
	[ ! -f ext/ruby1.8/Makefile ] || make -C ext/ruby1.8 distclean
	[ ! -f ext/ruby1.9/Makefile ] || make -C ext/ruby1.9 distclean

DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_install:
	# mkdir -p `pwd`/debian/dpkg-ruby/`ruby -r mkmf -e 'puts $$libdir'`
	# Add here commands to install the package into debian/dpkg-ruby.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp RUBY=ruby$(VERSION_1.9)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp RUBY=ruby1.8
	sh ./debian/fixshbang.sh debian/tmp $(RUBY)
	# dpkg.rb as example only
	-rm -f $(CURDIR)/debian/tmp/usr/bin/dpkg.rb
	-rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/dpkg.rb.1*
	make -C ext/ruby1.8 install DESTDIR=$(DESTDIR) sitelibdir=$(DESTDIR)$(shell ruby1.8 -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
	make -C ext/ruby1.9 install DESTDIR=$(DESTDIR) sitelibdir=$(DESTDIR)$(shell ruby$(VERSION_1.9) -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
	ls -1d examples/* | grep -v CVS > $(EXAMPLES)
	echo bin/dpkg.rb >> $(EXAMPLES)

override_dh_install:
	for i in install docs examples; do cp debian/libdpkg-ruby1.8.$$i debian/libdpkg-ruby1.9.$$i; sed -i s/1.8/$(19VERSION)/g debian/libdpkg-ruby1.9.$$i; done
	dh_install --sourcedir=$(CURDIR)/debian/tmp

override_dh_auto_test:
	@echo no tests during package build

## dpkg-ruby 0.3.6

=== debian/changelog ===
dpkg-ruby (0.3.6) unstable; urgency=low

  * switch to ruby 1.9.1 (Closes: #565848)

 -- Ryan Niebur <ryan@debian.org>  Fri, 29 Jan 2010 23:22:11 -0800

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 %:
 	dh $@
 
-VERSION_1.9=1.9
+VERSION_1.9=1.9.1
 19VERSION=$(shell ruby$(VERSION_1.9) -rrbconfig -e 'puts Config::CONFIG["ruby_version"]')
 
 override_dh_auto_build:
@@ -27,7 +27,7 @@
 override_dh_auto_clean:
 	$(MAKE) clean RUBY=$(RUBY)
 	rm -f $(EXAMPLES)
-	for i in install docs examples; do rm -f debian/libdpkg-ruby1.9.$$i; done
+	for i in install docs examples; do rm -f debian/libdpkg-ruby$(VERSION_1.9).$$i; done
 	[ ! -f ext/ruby1.8/Makefile ] || make -C ext/ruby1.8 distclean
 	[ ! -f ext/ruby1.9/Makefile ] || make -C ext/ruby1.9 distclean
 
@@ -48,7 +48,7 @@
 	echo bin/dpkg.rb >> $(EXAMPLES)
 
 override_dh_install:
-	for i in install docs examples; do cp debian/libdpkg-ruby1.8.$$i debian/libdpkg-ruby1.9.$$i; sed -i s/1.8/$(19VERSION)/g debian/libdpkg-ruby1.9.$$i; done
+	for i in install docs examples; do cp debian/libdpkg-ruby1.8.$$i debian/libdpkg-ruby$(VERSION_1.9).$$i; sed -i s/1.8/$(19VERSION)/g debian/libdpkg-ruby$(VERSION_1.9).$$i; done
 	dh_install --sourcedir=$(CURDIR)/debian/tmp
 
 override_dh_auto_test:

## dpkg-ruby 0.3.6+nmu1

=== debian/changelog ===
dpkg-ruby (0.3.6+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * Use StringValuePtr instead of the long-deprecated (and removed in ruby
    1.9.1) STR2CSTR (closes: #593025).

 -- Julien Cristau <jcristau@debian.org>  Thu, 26 Aug 2010 17:43:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Ryan Niebur <ryan@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), ruby1.8, ruby1.8-dev, libapt-pkg-dev, ruby1.9, ruby1.9-dev, ruby
+Build-Depends: debhelper (>= 7.0.50~), ruby1.8, ruby1.8-dev, libapt-pkg-dev, ruby1.9.1, ruby1.9.1-dev, ruby
 Vcs-Git: git://git.debian.org/apt-listbugs/dpkg-ruby.git
 Vcs-Browser: http://git.debian.org/?p=apt-listbugs/dpkg-ruby.git;a=summary
 Standards-Version: 3.8.3
@@ -35,7 +35,7 @@
  Debian::Deb, Debian::Dsc, Debian::Archives, Debian::Sources,
  Debian::Packages and Debian::Status classes on ruby 1.8.
 
-Package: libdpkg-ruby1.9
+Package: libdpkg-ruby1.9.1
 Section: ruby
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

## dpkg-ruby 0.3.6+nmu1ubuntu1

=== debian/changelog ===
dpkg-ruby (0.3.6+nmu1ubuntu1) oneiric; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 12:57:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: dpkg-ruby
 Section: devel
 Priority: optional
-Maintainer: Ryan Niebur <ryan@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), ruby1.8, ruby1.8-dev, libapt-pkg-dev, ruby1.9.1, ruby1.9.1-dev, ruby
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Niebur <ryan@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), ruby1.8, ruby1.8-dev, libapt-pkg-dev (>= 0.8.16~exp5), ruby1.9.1, ruby1.9.1-dev, ruby
 Vcs-Git: git://git.debian.org/apt-listbugs/dpkg-ruby.git
 Vcs-Browser: http://git.debian.org/?p=apt-listbugs/dpkg-ruby.git;a=summary
 Standards-Version: 3.8.3

## dpkg-ruby 0.3.6+nmu2

=== debian/changelog ===
dpkg-ruby (0.3.6+nmu2) squeeze; urgency=low

  * Non-maintainer upload.
  * Apply maintainer patch to close files once they're parsed,
    preventing trouble on dist-upgrades to wheezy (Closes: #585448).

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 05 Jun 2013 18:11:23 +0200

## dpkg-ruby 0.3.7

=== debian/changelog ===
dpkg-ruby (0.3.7) unstable; urgency=low

  [ Francesco Poli (t1000) ]
  * add file name to broken archive exception (Closes: #590146)

  [ Ryan Niebur ]
  * close files once they're parsed (Closes: #585448)
  * Run dh-make-ruby and tweak things:
    - policy 3.9.2
    - move everything into dpkg-ruby package, the rest become
      transitional
    - simplified debian/rules

 -- Ryan Niebur <ryan@debian.org>  Sun, 04 Sep 2011 14:01:11 -0700

=== debian/control ===
Source: dpkg-ruby
Section: ruby
Priority: optional
Maintainer: Ryan Niebur <ryan@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.7~), libapt-pkg-dev
Vcs-Git: git://git.debian.org/apt-listbugs/dpkg-ruby.git
Vcs-Browser: http://git.debian.org/?p=apt-listbugs/dpkg-ruby.git;a=summary
Standards-Version: 3.9.2
XS-Ruby-Versions: all

Package: dpkg-ruby
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Replaces: libdpkg-ruby (<< 0.3.7~), libdpkg-ruby1.8 (<< 0.3.7~), libdpkg-ruby1.9.1 (<< 0.3.7~)
Breaks: libdpkg-ruby (<< 0.3.7~), libdpkg-ruby1.8 (<< 0.3.7~), libdpkg-ruby1.9.1 (<< 0.3.7~)
Provides: libdpkg-ruby, libdpkg-ruby1.8, libdpkg-ruby1.9.1
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Description: ruby interface for dpkg
 It provides Debian::Dpkg and Debian::DpkgDeb modules and
 Debian::Deb, Debian::Dsc, Debian::Archives, Debian::Sources,
 Debian::Packages and Debian::Status classes on ruby.
 .
 It provides dpkg-ruby (a dpkg-awk clone) and dpkg-checkdeps
 scripts (check utility of deb dependency problem).

Package: libdpkg-ruby
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, dpkg-ruby (>= 0.3.7)
Description: Transitional package for dpkg-ruby
 This is a transitional package to ease upgrades to the dpkg-ruby
 package. It can safely be removed.

Package: libdpkg-ruby1.8
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, dpkg-ruby (>= 0.3.7)
Description: Transitional package for dpkg-ruby
 This is a transitional package to ease upgrades to the dpkg-ruby
 package. It can safely be removed.

Package: libdpkg-ruby1.9.1
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, dpkg-ruby (>= 0.3.7)
Description: Transitional package for dpkg-ruby
 This is a transitional package to ease upgrades to the dpkg-ruby
 package. It can safely be removed.
